/billing/profile
PUT
/billing/profile
const url = 'https://api.chatfood.app/billing/profile';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '{ "billingEmail": "example", "legalName": "example", "taxId": "example", "preferredMethod": "Ask", "updatedAt": "2026-04-15T12:00:00Z" }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.chatfood.app/billing/profile \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '{ "billingEmail": "example", "legalName": "example", "taxId": "example", "preferredMethod": "Ask", "updatedAt": "2026-04-15T12:00:00Z" }'Authorizations
Seção intitulada “Authorizations”Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”accountId
string format: uuid
Request Body
Seção intitulada “Request Body”object
billingEmail
string
legalName
string
taxId
string
preferredMethod
string
updatedAt
string format: date-time
object
billingEmail
string
legalName
string
taxId
string
preferredMethod
string
updatedAt
string format: date-time
object
billingEmail
string
legalName
string
taxId
string
preferredMethod
string
updatedAt
string format: date-time
object
billingEmail
string
legalName
string
taxId
string
preferredMethod
string
updatedAt
string format: date-time
Responses
Seção intitulada “Responses”OK